import request from '@/utils/request'

// 查询报名管理列表
export function listOfflineServicesRegister(query) {
  return request({
    url: '/mall/OfflineServicesRegister/list',
    method: 'get',
    params: query
  })
}

// 查询报名管理列表
export function listOfflineServicesRegisterVo(query) {
  return request({
    url: '/mall/OfflineServicesRegister/getVolist',
    method: 'get',
    params: query
  })
}

// 查询报名管理详细
export function getOfflineServicesRegister(registerId) {
  return request({
    url: '/mall/OfflineServicesRegister/' + registerId,
    method: 'get'
  })
}

// 新增报名管理
export function addOfflineServicesRegister(data) {
  return request({
    url: '/mall/OfflineServicesRegister',
    method: 'post',
    data: data
  })
}

// 修改报名管理
export function updateOfflineServicesRegister(data) {
  return request({
    url: '/mall/OfflineServicesRegister',
    method: 'put',
    data: data
  })
}

// 删除报名管理
export function delOfflineServicesRegister(registerId) {
  return request({
    url: '/mall/OfflineServicesRegister/' + registerId,
    method: 'delete'
  })
}
